> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getunblocked.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete User

> Delete a user.




## OpenAPI

````yaml https://getunblocked.com/api/v1/public-api.json delete /scim/v2/Users/{userId}
openapi: 3.0.3
info:
  contact:
    email: help@getunblocked.com
    name: Unblocked
  description: >
    The Unblocked Public API offers seamless collection for managing custom data
    sources through a structured set of endpoints.

    It allows users to create collections and organize and upload documents.


    # Base URL

    The base URL for all requests is:


    ```jsx

    https://getunblocked.com/api/v1

    ```


    # Authentication

    Authentication requires an API key, obtainable from the web dashboard,

    which must be included in the `Authorization` request header for all
    endpoints.


    ```bash

    curl -X GET https://getunblocked.com/api/v1/collections \
         -H "Authorization: Bearer YOUR_API_KEY"
    ```


    # Rate Limits & Quotas


    **Resource Limits:**

    - Collections: Maximum 25 per team

    - Request Size: Maximum 10MB per request

    - Pagination: 1-200 items per page (default: 100)


    **Answers API:**

    - Daily Limit: 1000 questions per day per team

    - Quota Reset: Midnight PST

    - Exceeding the limit returns a 429 Too Many Requests error


    **Field Constraints:**

    - Collection name: 1-32 characters

    - Collection description: 1-4096 characters
  title: Unblocked Public API Reference
  version: v1
  x-logo:
    url: https://avatars.githubusercontent.com/u/91906527?s=300
    altText: Unblocked
servers:
  - url: https://getunblocked.com/api/v1
security:
  - ApiKeyBearerAuth: []
tags:
  - description: >
      Ask Unblocked questions and retrieve answers asynchronously. Submit a
      question using [Ask a
      Question](https://docs.getunblocked.com/api-reference/answers/ask-a-question)
      and poll for the response using [Retrieve an
      Answer](https://docs.getunblocked.com/api-reference/answers/retrieve-an-answer).
    name: Answers
  - description: >
      Use [Create Code
      Review](https://docs.getunblocked.com/api-reference/code-reviews/create-code-review)
      or [Create Risk
      Assessment](https://docs.getunblocked.com/api-reference/code-reviews/create-risk-assessment)
      to analyze pull requests without posting comments or reviews to the pull
      request.

      Retrieve results asynchronously using [Get Code
      Review](https://docs.getunblocked.com/api-reference/code-reviews/get-code-review)
      or [Get Risk
      Assessment](https://docs.getunblocked.com/api-reference/code-reviews/get-risk-assessment).
    name: Code Reviews
  - description: >
      A collection in Unblocked allows you to organize related documents from
      various data sources, such as customer support tools, knowledge bases, and
      internal wikis, which are not natively supported by Unblocked.


      Use [Create
      Collection](https://docs.getunblocked.com/api-reference/collections/create-collection)
      to manage documents from different sources.


      Use [List
      Collections](https://docs.getunblocked.com/api-reference/collections/list-collections),
      [Get
      Collection](https://docs.getunblocked.com/api-reference/collections/get-collection),
      [Update
      Collection](https://docs.getunblocked.com/api-reference/collections/update-collection),
      and [Delete
      Collection](https://docs.getunblocked.com/api-reference/collections/delete-collection)
      to manage them as needed.


      Deleting a collection will also remove all the associated documents.
    name: Collections
  - description: >
      Retrieve context from the data sources connected to Unblocked, including
      code, pull requests, issues, messages, and documentation.


      [Research
      Context](https://docs.getunblocked.com/api-reference/context/research-context)
      produces a synthesized answer with supporting sources.

      [Search
      Code](https://docs.getunblocked.com/api-reference/context/search-code),
      [Search
      Documentation](https://docs.getunblocked.com/api-reference/context/search-documentation),
      [Search
      Issues](https://docs.getunblocked.com/api-reference/context/search-issues),
      [Search
      Messages](https://docs.getunblocked.com/api-reference/context/search-messages),
      and [Search Pull
      Requests](https://docs.getunblocked.com/api-reference/context/search-pull-requests)
      return relevant sources from a single content space.

      [Query
      Issues](https://docs.getunblocked.com/api-reference/context/query-issues)
      and [Query Pull
      Requests](https://docs.getunblocked.com/api-reference/context/query-pull-requests)
      return matches for a natural-language query with optional filters.

      [Get URL
      Content](https://docs.getunblocked.com/api-reference/context/get-url-content)
      retrieves URL content directly.


      Your team's plan must include the Context API. Personal Access Token users
      must have an Unblocked license.


      **Authentication behavior:**

      - **Personal Access Token (PAT) keys**: Requests are attributed to the
      key's user

      - **Team-wide API keys**: Requests are attributed to the team
    name: Context
  - description: >
      A document contains content that Unblocked uses to answer questions. Each
      document is associated with a collection, so you must use [Create
      Collection](https://docs.getunblocked.com/api-reference/collections/create-collection)
      before adding documents. Documents used to provide answers will appear as
      references in the Unblocked interface.


      Use [Put
      Document](https://docs.getunblocked.com/api-reference/documents/put-document)
      and [Delete
      Document](https://docs.getunblocked.com/api-reference/documents/delete-document)
      to create, update, and delete documents as needed.
    name: Documents
  - description: >
      SCIM (System for Cross-domain Identity Management) is a standard for
      automating the exchange of user identity information between identity
      domains or IT systems.


      You can use the SCIM API to manage users and groups in Unblocked.


      **Authentication behavior:**

      - **Public API and SCIM API keys**: Accepted for SCIM requests

      - **Personal Access Token (PAT) keys**: Only team admins may use the SCIM
      API; non-admin members receive `403 Forbidden`

      - **SAML prerequisite**: The team must have SAML identity provider
      metadata configured; otherwise requests receive `403 Forbidden`
    name: SCIM
  - description: >
      Retrieve a feed of team events for downstream ingestion into a security

      information and event management (SIEM) system. The feed currently
      includes

      audit logs. Poll [List Audit
      Logs](https://docs.getunblocked.com/api-reference/security-events/list-audit-logs)
      to collect new events.
    name: Security Events
  - description: |
      Retrieve usage data for Unblocked products and features.
    name: Usage
paths:
  /scim/v2/Users/{userId}:
    delete:
      tags:
        - SCIM
      summary: Delete User
      description: |
        Delete a user.
      operationId: scimUserDelete
      parameters:
        - explode: false
          in: path
          name: userId
          required: true
          schema:
            type: string
          style: simple
      responses:
        '204':
          description: No Content
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
          description: >
            Error response. See
            [Errors](https://docs.getunblocked.com/api-reference/errors) for
            status codes and retry guidance.
components:
  schemas:
    PublicApiError:
      additionalProperties: false
      properties:
        message:
          description: A human-readable explanation of the error.
          type: string
        documentationUrl:
          description: The URL of the documentation for the API operation that was called.
          type: string
      required:
        - documentationUrl
        - message
      type: object
  securitySchemes:
    ApiKeyBearerAuth:
      bearerFormat: Unblocked API Key
      description: The API key to authenticate requests. Obtainable from the web dashboard.
      scheme: bearer
      type: http

````